name: FunSearchFlow
description: "A flow implementing FunSearch Asynchronous Search"

### Subflows specification
subflows_config:
  SamplerFlow:
    # _target_: flow_modules.SamplerFlowModule.SamplerFlow.instantiate_from_default_config
    name: "Sampler Flow"
    description: "A flow that queries an LLM model to generate prompts"
    system_message_prompt_template:
      partial_variables: ???
    backend:
      api_infos: ???
  EvaluatorFlow:
    name: "A flow that evaluates code on tests"
    description: "A flow that evaluates code on tests"
    singleton: False
    run_error_score: ???
    py_file: ???
    function_to_run_name: ???
    test_inputs: ???
    timeout_seconds: 10
    use_test_input_as_key: ???

  ProgramDBFlow:
    # _target_: flow_modules.ProgramDBFlowModule.ProgramDBFlow.instantiate_from_default_config
    name: "ProgramDB"
    description: "A flow that registers samples and evaluations in a database"
    evaluate_function: ???
    evaluate_file_full_content: ???
    artifact_to_evolve_name: solve_function
    num_islands: 3
    template:
      preface: ""